/*
 * Copyright 2011 JOHK Software
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.wesleyhome.johksoftware.utilities.reflection;

import java.lang.reflect.Method;

/**
 * The <code>MethodPredicate</code> inteface is used to evaluated methods for the {@link ReflectionUtil} 
 * utility methods 
 * 
 * @author Justin Wesley
 * @since 10.10
 */
/* ***************************************************************************************************
 * Date	            Work Order      Name                Change Description
 *````````````````````````````````````````````````````````````````````````````````````````````````````
 * Sep/13/2010		346591			Justin Wesley		created
 *
 *****************************************************************************************************/
public interface MethodPredicate {

	/**
	 * @param readMethod
	 * @return
	 */
	boolean evaluate(Method readMethod);
}
