/*
 * Copyright 2011 JOHK Software
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.wesleyhome.johksoftware.utilities.reflection;

import java.lang.reflect.Method;
import java.lang.reflect.Modifier;

/**
 * The <code>MethodPredicateAdapter</code> class is a default implementation of the 
 * {@link MethodPredicate}. This weeds out bridge and abstract methods.
 * 
 * @author Justin Wesley
 * @since 10.10
 */
/* ***************************************************************************************************
 * Date	            Work Order      Name                Change Description
 *````````````````````````````````````````````````````````````````````````````````````````````````````
 * Sep/13/2010		346591			Justin Wesley		created
 *
 *****************************************************************************************************/
public class MethodPredicateAdapter implements MethodPredicate {

	/* (non-Javadoc)
	 * @see com.stpaul.bond.classutil.MethodPredicate#evaluate(java.lang.reflect.Method)
	 */
	@Override
	public boolean evaluate(final Method method) {
		return !method.isBridge() && !Modifier.isAbstract(method.getModifiers());
	}
}
